%global		majorVersion 0.8
%global		spellcheck 0

Name:		almanah
Version:	0.8.0
Release:	1%{?dist}
Summary:	Application for keeping an encrypted diary
Group:		Applications/Productivity
License:	GPLv3+
URL:		http://tecnocode.co.uk/projects/almanah/
Source0:	http://ftp.gnome.org/pub/GNOME/sources/almanah/%{majorVersion}/%{name}-%{version}.tar.bz2
BuildRequires:	gettext
BuildRequires:	gpgme-devel
BuildRequires:	sqlite-devel
BuildRequires:	gtk3-devel
# gtkspell still pulls in gtk2
%if 0%{?spellcheck}
BuildRequires:	gtkspell-devel
%endif
BuildRequires:	intltool
BuildRequires:	desktop-file-utils 
BuildRequires:	evolution-devel
%if 0%{fedora} <= 15
BuildRequires:	seahorse-devel
%else
BuildRequires:	libcryptui-devel
%endif
BuildRequires:	pkgconfig

%description
Almanah Diary is a small application to ease the management of an encrypted
personal diary. It's got good editing abilities, including text formatting 
and printing. Evolution tasks and appointments will be listed to ease the 
creation of diary entries related to them. At the same time, you can create
diary entries using multiple events.

%prep
%setup -q
sed -e 's/_//' \
    -e 's/=Diary/=Almanah/' \
    -i data/%{name}.desktop.in

%build
CFLAGS="${RPM_OPT_FLAGS} -D_FILE_OFFSET_BITS=64" %configure --enable-encryption \
%if 0%{?spellchecking}
--enable-spell-checking
%else
--disable-spell-checking
%endif
make %{?_smp_mflags}

%install
make install DESTDIR=%{buildroot}

%find_lang %{name}


%post
touch --no-create %{_datadir}/icons/hicolor

%posttrans
gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :
/usr/bin/glib-compile-schemas %{_datadir}/glib-2.0/schemas &> /dev/null || :

%postun
if [ "$1" -eq 0 ] ; then
    touch --no-create %{_datadir}/icons/hicolor &>/dev/null
    gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :
    /usr/bin/glib-compile-schemas %{_datadir}/glib-2.0/schemas &> /dev/null || :
fi

%preun
if [ "$1" -eq 0 ]; then
    export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
    gconftool-2 --makefile-uninstall-rule \
      %{_sysconfdir}/gconf/schemas/%{name}.schemas > /dev/null || :
fi

%files -f %{name}.lang
%doc AUTHORS COPYING NEWS README ChangeLog
%{_bindir}/%{name}
%{_datadir}/%{name}/
%{_datadir}/icons/hicolor/*/apps/%{name}.png
%{_datadir}/applications/%{name}.desktop
%{_datadir}/GConf/gsettings/%{name}.convert
%{_datadir}/glib-2.0/schemas/org.gnome.%{name}.gschema.xml

%changelog
* Thu Sep 15 2011 Andreas Osowski <th0br0@mkdir.name> - 0.8.0-1
- Update to 0.8.0 based on Tom Callaway's changes

* Tue Aug 30 2011 Milan Crha <mcrha@redhat.com> - 0.7.3-14
- Rebuild against newer evolution-data-server (once again)

* Tue Aug 16 2011 Milan Crha <mcrha@redhat.com> - 0.7.3-13
- Rebuild against newer evolution-data-server

* Thu Jun 16 2011 Milan Crha <mcrha@redhat.com> - 0.7.3-12
- Rebuild against newer evolution-data-server

* Fri May 20 2011 Kalev Lember <kalev@smartlink.ee> - 0.7.3-11
- Rebuilt for libcamel soname bump

* Fri Feb 11 2011 Matthias Clasen <mclasen@redhat.com> - 0.7.3-10
- Rebuild against newer gtk

* Mon Feb 07 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.7.3-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Fri Feb  4 2011 Tom Callaway <spot@fedoraproject.org> - 0.7.3-8
- port to gtk3, disable spellchecking because gtkspell is still GTK2
 
* Fri Feb  4 2011 Tom Callaway <spot@fedoraproject.org> - 0.7.3-7
- rebuild again to fix broken deps, support new libedataserverui

* Wed Jan 12 2011 Milan Crha <mcrha@redhat.com> - 0.7.3-6
- Rebuild against newer evolution-data-server

* Tue Oct 12 2010 Milan Crha <mcrha@redhat.com> - 0.7.3-5
- Rebuild against newer evolution-data-server

* Mon Oct  4 2010 Bill Nottingham <notting@redhat.com> - 0.7.3-4
- Release bump and build to fix libedataserver broken dep

* Mon Jun 26 2010 Caolán McNamara <caolanm@redhat.com> - 0.7.3-3
- Release bump and build to fix libedataserver broken dep

* Fri Jun 11 2010 Mike McGrath <mmcgrath@redhat.com> - 0.7.3-2
- Release bump and build to fix libedataserver broken dep

* Sun May 22 2010 Andreas Osowski <th0br0@mkdir.name> - 0.7.3-1
- Update to 0.7.3
- Improved the UI appearance a little by adding some padding
- Updated translations

* Sun Feb  7 2010 Andreas Osowski <th0br0@mkdir.name> - 0.7.2-1
- Update to 0.7.2

* Tue Dec  8 2009 Andreas Osowski <th0br0@mkdir.name> - 0.6.1-3
- Added patch required for F-11 (link against dbus-glib)

* Tue Dec  8 2009 Andreas Osowski <th0br0@mkdir.name> - 0.6.1-2
- Cosmetic changes

* Fri Nov 27 2009 Andreas Osowski <th0br0@mkdir.name> - 0.6.1-1
- Update to new release
- Fixed BuildRequires for new release

* Wed Dec  3 2008 Jean-François Martin <lokthare@gmail.com> - 0.5.0-1
- Update to the new release

* Mon Jul 14 2008 Jean-François Martin <lokthare@gmail.com> - 0.4.0-2
- Fix rpmlint warnings
- Include ChangeLog
- Fix icon name in desktop file
 
* Sat Jul 12 2008 Jean-François Martin <lokthare@gmail.com> - 0.4.0-1 
- Change to the new name
- Remove GConf scriplets

* Mon Jun 23 2008 Jean-François Martin <lokthare@gmail.com> 0.3.1-1
- Update to the new release
- Drop the patch (fixed upstream)

* Fri Jun 20 2008 Jean-François Martin <lokthare@gmail.com> 0.3-1
- Update to the new release

* Wed May 21 2008 Jean-François Martin <lokthare@gmail.com> 0.2-1
- First RPM release.

